#
# Makefile for the linux networking.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definition is now in the main makefile...

# only these two lines should need to be changed to remove inet sockets.
# (and the inet/tcpip.o in net.o)

SUBDIRS     := unix inet

SUBOBJS     := $(foreach f,$(SUBDIRS),$f/$f.o)

OBJS	=  socket.o protocols.o

all:		net.o

net.o:		$(OBJS) network.a
		$(LD) -r -o net.o $(OBJS) network.a

network.a:	$(SUBDIRS)
		rm -f $@
		$(AR) rcs $@ $(SUBOBJS)

ifdef SUBDIRS
.PHONY: $(SUBDIRS)
$(SUBDIRS):
		$(MAKE) -C $@ $(do)
endif

dep:
		$(CPP) -M *.c > .depend
		$(MAKE) $(SUBDIRS) do=dep

modules:

dummy:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

